(* Nifty50.ml by Aamir Sarwar Jahan, COMS W4115*)

(* use the Ast.ml and Compile.ml file *)
type action = Ast | Compiler

let _ =
	let action = if Array.length Sys.argv > 1 then
		List.assoc Sys.argv.(1) [ ("-a", Ast);
 															("-c", Compiler)]
	else Compiler in
	let lexbuf = Lexing.from_channel stdin in
	let program = Parser.program Scanner.token lexbuf in
	match action with
		Ast -> let listing = Ast.string_of_program program
					 in print_string listing
	| Compiler -> Execute.execute_prog (Compiler.translate program)

(* End of File *)